<template>
  <q-card flat class="row no-wrap list-tile" @click="router.push('/image')">
    <div class="list-tile__image flex-center flex">
      <q-icon name="save" size="xl" color="primary" />
    </div>

    <div class="overflow-hidden self-center" style="padding: 8px 0px">
      <p class="list-tile__content text-body2" style="font-weight: 500">
        This is a docker image
      </p>

      <p class="list-tile__content text-caption text-grey-8">
        And this is the description
      </p>
    </div>

    <q-space />

    <div class="q-pa-md self-center">
      <q-btn
        round
        dense
        class="list-tile__button"
        icon="delete"
        color="negative"
        @click="(e) => e.stopPropagation()"
      />
    </div>
  </q-card>
</template>

<script setup lang="ts">
import { useRouter, Router } from 'vue-router';
const router: Router = useRouter();
</script>

<style lang="scss">
.list-tile {
  width: 100%;
  height: 10vw;
  min-height: 60px;
  max-height: 130px;
  transition: all 0.3s ease;
  background:
    linear-gradient($primary 0 0) left/4px 100% no-repeat,
    $grey-2;
}

.list-tile:hover {
  cursor: pointer;
  filter: brightness(90%);
}

.list-tile__image {
  aspect-ratio: 1;
  border-radius: 14px !important;
  height: 100%;
}

.list-tile__content {
  margin: 0px 8px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.list-tile__button {
  opacity: 0;
  transition: all 0.3s;
}

.list-tile:hover .list-tile__button {
  opacity: 1;
}

.list-tile__button:hover {
  transform: scale(1.1);
}
</style>
